Subject: bug#61856: closed (Re: bug#61627: Cannot start a container built with `guix system container --network'.)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 26 Mar 2023 13:44:03 +0000

Your bug report

#61627: guix system container --network fails b.c. of /etc/hosts

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
61627: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=61627
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#61627: Cannot start a container built with `guix system container --network'.
From: Pierre Langlois <[email-masked]>
To: [email-masked]
Cc: Arun Isaac <[email-masked]>, Bruno Victal <[email-masked]>, Ludovic Courtès <[email-masked]>, Pierre Langlois <[email-masked]>
Date: Sun, 26 Mar 2023 14:41:53 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Pierre Langlois <[email-masked]> writes:

> [[PGP Signed Part:Undecided]]
> Hi Arun and Bruno,
>
> Arun Isaac <[email-masked]> writes:
>
>>> I'm inclined to keep it in %network-configuration-files just to be
>>> safe.
>>
>> I agree. I don't really understand the implications of removing
>> /etc/hosts from %network-configuration-files. I would err on the side of
>> caution and leave it there for now.
>
> That sounds very sensible.
>
>>
>> @Pierre: Could you make a patch of the fix you suggested earlier
>> (removing hosts-service-type when the --network flag is provided) and
>> push it? Thank you!
>
> Sounds good! Just testing the following patch and will push it in a
> minute.
>
> [[End of PGP Signed Part]]
> From 42fbe62d52a82d1003c3d7039d3c4a46806c5cee Mon Sep 17 00:00:00 2001
> Message-Id: <42fbe62[email-masked]>
> From: Pierre Langlois <[email-masked]>
> Date: Sun, 26 Mar 2023 13:55:14 +0100
> Subject: [PATCH] linux-container: Remove hosts-service-type when network is
>  shared.
>
> Fixes <https://issues.guix.gnu.org/61627>.
>
> * gnu/system/linux-container.scm (container-essential-services): When
> shared-network? is true, remove the hosts-service-type service kind.

Pushed as 42fbe62d52a82d1003c3d7039d3c4a46806c5cee

Thanks,
Pierre

Subject: guix system container --network fails b.c. of /etc/hosts
From: kabelomoiloa <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Mon, 27 Feb 2023 21:09:01 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

`guix describe` gives the following:

Generation 67   Feb 27 2023 17:41:15    (current)
  guix cf9e050
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: cf9e0508b26196dc985302776d860a0359652c59

Consider the system configuration given at this url: https://git.sr.ht/~elevenkb/dotfiles/blob/master/configs/11kb/guix-server.scm

If I run `sudo $(guix system container guix-server.scm)` then my container works, but if I run `sudo $(guix system container guix-server.scm --network)` then my container fails to work. I instead get an error which goes like this:

In unknown file:
           0 (copy-file "/etc/static/hosts" "/etc/hosts")

ERROR: In procedure copy-file:
In procedure copy-file: Read-only file system